<h1>WPSSO Core</h1><h3>Structured Data SEO for Everyone</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Core</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Present your content at its best on social sites and in search results, no matter how webpages are shared, re-shared, messaged, posted, embedded, or c</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>8.22.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>4.5 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.6.2</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>5.0.0</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>structured data, seo, schema, facebook, open graph, linkedin, twitter, google, pinterest, social sharing, rich results, meta tags</td></tr>
</table>

<h2>Description</h2>

<h3 style="margin-top:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso/assets/icon-256x256.png"> Structured Data SEO for Everyone</h3>

<p><strong>Present your content at its best on social sites and in search results:</strong></p>

<p>WPSSO provides meta tags and structured data markup for Facebook / <strong>Open Graph</strong>, Pinterest <strong>Rich Pins</strong>, <strong>Twitter Cards</strong>, Google Knowledge Graph, Google <strong>Rich Results</strong> (aka <strong>Schema</strong>, <strong>Rich Snippets</strong>, <strong>Structured Data</strong>), WhatsApp and Messaging Apps, Mobile Web Browsers, WordPress REST API, LinkedIn / <strong>oEmbed</strong> data and more &mdash; including markup for image SEO, video SEO, extensive e-Commerce product markup (for WooCommerce and others), mobile store apps, author profile / authorship, co-authors, publisher information, local business / local SEO, aggregate ratings, reviews, recipe information, event details, and much, much more &mdash; all from your existing content, supported plugin data, and service API data.</p>

<p><strong>Reads existing content, plugin data, and service API data:</strong></p>

<p>There's no need to manually re-enter descriptions, titles, product information, and re-select images / videos like other meta tag, SEO, or Schema plugins. WPSSO can be used as your only social and search optimization plugin, or combined Core with your favorite SEO plugin to improve your SEO plugin's meta tags and Schema markup (including All in One SEO Pack, Jetpack SEO Tools, Rank Math SEO, SEO Ultimate, SEOPress, The SEO Framework, WP Meta SEO, Yoast SEO, and more).</p>

<p><strong>Customize the settings for different languages:</strong></p>

<p>Text, image, and video related options are WordPress language / locale aware, which means you can easily switch languages and customize these options for different front-end webpage languages.</p>

<p><strong>Fast, light, and coded for maximum performance:</strong></p>

<p>WPSSO makes full use of all WordPress caching methods &mdash; along with advanced caching features like pre-seeding in background. WPSSO Core and its complementary add-ons load only the PHP libraries and classes they need, keeping their code small, fast and light. All code is fully tested and compatible with the latest version of WordPress and PHP v8.</p>

<h3>Users Love the WPSSO Core Plugin</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "This plugin has been a lifesaver in terms of making our images and links and descriptions look beautiful everywhere we post them! It’s so easy to use and the preview functions are incredibly helpful." - <a href="https://wordpress.org/support/topic/love-this-plugin-789/">lotusblooms</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "What a fantastic plugin. If you want to fix all the errors in search console for structured data, this is the plugin to use. Love it." - <a href="https://wordpress.org/support/topic/makes-schema-so-easy/">goviral</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "This plugin saves me so much time, and it has really lifted my SERP rankings. Most of my keywords I now rank 1-3 position. I also noticed after about a week that my impressions have gone up at least 75%. I upgraded to the pro version which gave me even more options." - <a href="https://wordpress.org/support/topic/excellent-plugin-and-support-200/">playnstocks</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "Yoast on steroids! As an SEO marketer, I love using Yoast for my basic on-page SEO. But Yoast only allows you to enter basic Open Graph social settings. This plugin gives you SO many more options on completing the Open Graph for Facebook, Twitter cards, Pinterest etc. If you use WordPress, I totally recommend using this plugin to help with better rankings in the SERPS!" - <a href="https://wordpress.org/support/topic/yoast-on-steroids/">gregmontag</a></p>

<h3>WPSSO Core Plugin Features</h3>

<p>Offers meta tag and Schema markup options for all WordPress pages:</p>

<ul>
<li>Home Page (static page or blog)</li>
<li>Posts, Pages, and Custom Post Types</li>
<li>Categories, Tags, and Custom Taxonomy / Terms</li>
<li>User Profile Pages</li>
<li>Media Attachment Pages</li>
<li>Search Result Pages</li>
<li>Archive Pages</li>
</ul>

<p>Enhances the WordPress oEmbed markup for LinkedIn and provides additional article and product meta tags for Slack.</p>

<p>Includes structured data images from numerous sources, including featured, attached, gallery shortcode, content images, or a custom fallback image.</p>

<p>Offers optimized structured data image sizes:</p>

<ul>
<li>Open Graph (Facebook and oEmbed)</li>
<li>Pinterest Pin It</li>
<li>Schema 1:1 (Google Rich Results and SEO)</li>
<li>Schema 4:3 (Google Rich Results and SEO)</li>
<li>Schema 16:9 (Google Rich Results and SEO)</li>
<li>Schema Thumbnail Image</li>
<li>Twitter Summary Card</li>
<li>Twitter Large Image Summary Card</li>
<li><strong>[Premium]</strong> Twitter Player Card</li>
</ul>

<p>Built-in compatibility with AMP plugins:</p>

<ul>
<li><a href="https://wordpress.org/plugins/amp/">AMP</a></li>
<li><a href="https://wordpress.org/plugins/accelerated-mobile-pages/">AMP for WP</a></li>
</ul>

<p>Built-in compatibility with optimization and caching plugins:</p>

<ul>
<li>Autoptimize</li>
<li>Cache Enabler</li>
<li>Comet Cache</li>
<li>LiteSpeed Cache</li>
<li>Hummingbird Cache</li>
<li>Pagely, Siteground Optimizer</li>
<li>Perfect Images + Retina</li>
<li>W3 Total Cache (aka W3TC)</li>
<li>WP Engine Cache</li>
<li>WP Fastest Cache</li>
<li>WP Rocket Cache</li>
<li>WP Super Cache</li>
</ul>

<p>Built-in compatibility with popular SEO plugins:</p>

<ul>
<li>All in One SEO Pack</li>
<li>Jetpack SEO</li>
<li>Rank Math SEO</li>
<li>SEO Ultimate</li>
<li>SEOPress</li>
<li>Slim SEO</li>
<li>Squirrly SEO</li>
<li>The SEO Framework</li>
<li>WP Meta SEO</li>
<li>Yoast SEO</li>
<li>Yoast WooCommerce SEO</li>
</ul>

<p>Built-in compatibility for advanced WordPress configurations:</p>

<ul>
<li>WordPress MU Domain Mapping</li>
<li>Network / Multisite Installations</li>
</ul>

<p>Includes advanced quality assurance features and options:</p>

<ul>
<li>Checks and warns of any missing PHP modules.</li>
<li>Checks 3rd party plugin settings for possible conflicts.</li>
<li>Checks for minimum / maximum image dimensions and aspect ratios.</li>
<li>Shows notices for missing and required images.</li>
<li>Validates theme header templates for correct HTML markup.</li>
<li>Verifies webpage HTML for duplicate meta tags.</li>
</ul>

<p>The WPSSO Core Standard plugin is designed to satisfy the requirements of most standard WordPress sites. If your site requires additional 3rd party plugin and service API integration, like WooCommerce shops, embedded video support, or advanced customization features, then you may want to get the <a href="https://wpsso.com/extend/plugins/wpsso/">WPSSO Core Premium plugin</a> for those additional features.</p>

<p><strong>[Premium]</strong> Detection of embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube in the content text.</p>

<p><strong>[Premium]</strong> Support for the Twitter <a href="https://dev.twitter.com/cards/types/player">Player Card</a> for embedded videos.</p>

<p><strong>[Premium]</strong> Optional upscaling of small images from the Media Library to satisfy minimum image size requirements for social sharing and Schema markup.</p>

<p><strong>[Premium]</strong> URL shortening with Bitly, DLMY.App, Google, Ow.ly, TinyURL, or YOURLS.</p>

<p><strong>[Premium]</strong> Complete Schema JSON-LD markup for WooCommerce products (<a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO JSON add-on required</a>).</p>

<p><strong>[Premium]</strong> Integrates with 3rd party plugins and service APIs for additional image, video, e-Commerce product details, SEO settings, etc. The following modules are included with the Premium version and automatically loaded if/when the supported plugins and/or services are required.</p>

<ul>
<li><p><strong>Integration with 3rd Party Plugins:</strong></p>

<ul>
<li><a href="https://wordpress.org/plugins/all-in-one-seo-pack/">All in One SEO Pack</a></li>
<li><a href="https://wordpress.org/plugins/bbpress/">bbPress</a></li>
<li><a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a> (including Group Forum Topics)</li>
<li><a href="https://wordpress.org/plugins/co-authors-plus/">Co-Authors Plus</a> (including Guest Authors)</li>
<li><a href="https://wordpress.org/plugins/easy-digital-downloads/">Easy Digital Downloads</a></li>
<li>Gravity Forms + GravityView</li>
<li><a href="https://wordpress.org/plugins/nextcellent-gallery-nextgen-legacy/">NextCellent Gallery - NextGEN Legacy</a></li>
<li><a href="https://wordpress.org/plugins/nextgen-gallery/">NextGEN Gallery</a></li>
<li><a href="https://wordpress.org/plugins/perfect-woocommerce-brands/">Perfect WooCommerce Brands</a></li>
<li><a href="https://wordpress.org/plugins/polylang/">Polylang</a></li>
<li><a href="https://wordpress.org/plugins/product-gtin-ean-upc-isbn-for-woocommerce/">Product GTIN (EAN, UPC, ISBN) for WooCommerce</a></li>
<li><a href="https://wordpress.org/plugins/rate-my-post/">Rate my Post</a></li>
<li><a href="https://wordpress.org/plugins/buddypress-media/">rtMedia for WordPress, BuddyPress and bbPress</a></li>
<li><a href="https://wordpress.org/plugins/wp-seopress/">SEOPress</a></li>
<li><a href="https://wordpress.org/plugins/simple-job-board/">Simple Job Board</a></li>
<li><a href="https://wordpress.org/plugins/the-events-calendar/">The Events Calendar</a></li>
<li><a href="https://wordpress.org/plugins/autodescription/">The SEO Framework</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a></li>
<li><a href="https://woocommerce.com/products/brands/">WooCommerce Brands</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce-currency-switcher/">WooCommerce Currency Switcher</a></li>
<li><a href="https://wordpress.org/plugins/woo-add-gtin/">WooCommerce UPC, EAN, and ISBN</a></li>
<li>WooCommerce Show Single Variations</li>
<li><a href="https://wordpress.org/plugins/wp-job-manager/">WP Job Manager</a></li>
<li><a href="https://wordpress.org/plugins/wp-meta-seo/">WP Meta SEO</a></li>
<li><a href="https://wordpress.org/plugins/wp-postratings/">WP-PostRatings</a></li>
<li><a href="https://wordpress.org/plugins/wp-product-review/">WP Product Review</a></li>
<li><a href="https://wordpress.org/plugins/wp-recipe-maker/">WP Recipe Maker</a></li>
<li><a href="https://wordpress.org/plugins/wp-ultimate-recipe/">WP Ultimate Recipe</a></li>
<li><a href="https://wpml.org/">WPML</a></li>
<li><a href="https://wordpress.org/plugins/search/yith-woocommerce-brands-add-on/">YITH WooCommerce Brands Add-on</a></li>
<li><a href="https://wordpress.org/plugins/wordpress-seo/">Yoast SEO</a> (aka WordPress SEO)</li>
<li><a href="https://wordpress.org/plugins/yotpo-social-reviews-for-woocommerce/">Yotpo Social Reviews for WooCommerce</a></li>
</ul></li>
<li><p><strong>Integration with Service APIs:</strong></p>

<ul>
<li>Bitly</li>
<li>DLMY.App</li>
<li>Facebook Embedded Videos</li>
<li>Gravatar (Author Image)</li>
<li>Ow.ly</li>
<li>Shopper Approved (Ratings and Reviews)</li>
<li>Slideshare Presentations</li>
<li>Soundcloud Tracks (for the Twitter Player Card)</li>
<li>TinyURL</li>
<li>Vimeo Videos</li>
<li>Wistia Videos</li>
<li>WordPress Video Shortcode (and Self-Hosted Videos)</li>
<li>Your Own URL Shortener (YOURLS)</li>
<li>YouTube Videos and Playlists</li>
</ul></li>
</ul>

<h3>Free Complementary Add-ons</h3>

<p>Do you need even more advanced, special and unique features?</p>

<p>Simply activate the free complementary add-on(s) you require:</p>

<ul>
<li><a href="https://wordpress.org/plugins/wpsso-faq/">WPSSO FAQ Manager</a> to manage FAQ categories with Question and Answer pages.</li>
<li><a href="https://wordpress.org/plugins/wpsso-inherit-parent-meta/">WPSSO Inherit Parent Metadata</a> to inherit featured and custom images.</li>
<li><a href="https://wordpress.org/plugins/wpsso-am/">WPSSO Mobile App Meta Tags</a> to manage mobile App information.</li>
<li><a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization Markup</a> to manage multiple Organizations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-plm/">WPSSO Place and Local SEO Markup</a> to manage multiple locations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-wc-metadata/">WPSSO Product Metadata for WooCommerce</a> to add GTIN, GTIN-8, GTIN-12 (UPC), GTIN-13 (EAN), GTIN-14, ISBN, MPN, depth, and volume for WooCommerce products and variations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a> to add ratings in WordPress comments.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rest-api/">WPSSO REST API</a> to add meta tags and Schema markup in REST API queries.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a> to add responsive share buttons.</li>
<li><a href="https://wordpress.org/plugins/wpsso-breadcrumbs/">WPSSO Schema Breadcrumbs Markup</a> to add Breadcrumbs markup for Google.</li>
<li><a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup</a> to provide Google with Schema markup in its preferred format.</li>
<li><a href="https://wordpress.org/plugins/wpsso-wc-shipping-delivery-time/">WPSSO Shipping Delivery Time for WooCommerce</a> to provide Google with shipping rates and delivery time estimates.</li>
<li><a href="https://wordpress.org/plugins/wpsso-strip-schema-microdata/">WPSSO Strip Schema Microdata</a> to strip incorrect markup from templates.</li>
<li><a href="https://wordpress.org/plugins/wpsso-tune-image-editors/">WPSSO Tune WP Image Editors</a> for better looking WordPress thumbnails.</li>
<li><a href="https://wordpress.org/plugins/wpsso-user-locale/">WPSSO User Locale Selector</a> to switch languages quickly and easily.</li>
</ul>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/install-the-plugin/">Install the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/uninstall-the-plugin/">Uninstall the WPSSO Core Plugin</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/setup-guide/">Setup Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/better-schema-for-woocommerce/">Much Better Schema Markup for WooCommerce Products</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/">Integration Notes</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/buddypress-integration/">BuddyPress Integration Notes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/woocommerce-integration/">WooCommerce Integration Notes</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/troubleshooting-guide/">Troubleshooting Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/developer-special-buy-one-get-one-free/">Developer Special: Buy one, Get one Free</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/can-i-use-the-pro-version-on-multiple-websites/">Can I use the Premium plugin on multiple websites?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read the Facebook / Open Graph meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-generic-http-500-error/">How can I fix a generic HTTP 500 error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-php-fatal-out-of-memory-error/">How can I fix a PHP fatal "out of memory" error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an HTTP error when uploading images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-enable-wordpress-wp_debug/">How do I enable WordPress WP_DEBUG?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-google-structured-data-hatom-errors/">How do I fix Google Structured Data &gt; hatom errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-my-themes-front-page-pagination/">How do I fix my theme's front page pagination?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-install-the-wpsso-pro-version/">How do I install the WPSSO Core Premium plugin?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-images/">How does WPSSO Core find / detect / select images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-videos/">How does WPSSO Core find / detect / select videos?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/is-wpsso-the-best-alternative-to-yoast-seo/">Is WPSSO the Best Alternative to Yoast SEO?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-are-some-html-elements-missing-misaligned-different/">Why are some HTML elements missing / misaligned / different?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does Google Structured Data Test Tool show errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-is-the-open-graph-title-the-same-for-every-webpage/">Why is the Open Graph title the same for every webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-shouldnt-i-upload-small-images-to-the-media-library/">Why shouldn't I upload small images to the Media library?</a></li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/">Constants</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/all/">All Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/define-a-custom-post-type-cpt-as-a-product/">Define a Custom Post Type (CPT) as a Product</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/detect-youtube-url-links-as-videos/">Detect YouTube URL Links as Videos</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-articletag-keywords-names/">Modify the "article:tag" Keywords / Names</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-default-article-sections-list/">Modify the Default Article Section List</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-sharing-url/">Modify the Sharing URL</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/remove-hentry-from-theme-templates/">Remove / Fix 'hentry' Errors in your Theme Templates</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/strip-additional-shortcodes/">Strip Additional Shortcodes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/use-the-request_uri-for-post-urls/">Use the REQUEST_URI for Post URLs</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/working-with-pre-defined-meta-tags-and-custom-post-types/">Working with Pre-defined Meta Tags and Custom Post Types</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/">Filters by Category</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/head/">Head Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/media/">Media Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/open-graph/">Facebook / Open Graph Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/twitter-card/">Twitter Card Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/webpage/">Webpage Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/other/">Other Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/multisite-network-support/">Multisite / Network Support</a></li>
</ul>


